<?php

namespace Onestartup\ProductResource\Controller;

use Illuminate\Http\Request;
use App\Http\Requests;
use App\Http\Controllers\Controller;
use Yajra\Datatables\Datatables;
use Onestartup\ProductResource\Model\ProductResource as Product;
use Onestartup\ProductResource\Model\ProductResourceCategory as Category;

class ProductController extends Controller
{
    public function index(Request $request)
    {
    	if(isset($request->category)){

            $category = Category::where('slug', $request->category)->first();
            $products = $category->products()->where('active', true)->paginate(config("product_resources.product-index.pagination"));

        } else {
            $products = Product::where('active', true)->paginate(config("product_resources.product-index.pagination"));
        }
        $otros = Product::where('active', true)->inRandomOrder()->take(config("product_resources.product-index.otros"))->get();
        $categories = Category::where('active', true)->get();
        
        //$products;
        return view('product_resource-public::list')
            ->with('categories', $categories)
            ->with('otros', $otros)
            ->with('products', $products);
        
    }

    public function show($slug)
    {

    	$product = Product::where('slug',$slug)->first();
    	$otros = $product->category->products()->where('active', true)->inRandomOrder()->take(config("product_resources.product-show.otros"))->get(); 


        $categories = Category::all();

        if ($product != null) {
            if (!$product->active) {
                return redirect('inactivo');
            }
        } else {
            return redirect('no_existe');
        }

        return view('product_resource-public::single')
            ->with('product', $product)
            ->with('categories', $categories)
            ->with('otros', $otros);
        
    }

}
