<?php

Route::group(['middleware' => ['web', 'auth', 'is_admin']], function(){

	Route::resource('admin/product_resources/products', 'Onestartup\ProductResource\Controller\AdminProductController', ['as'=>'admin.product_resources']);

	Route::delete('delete/cover/product_resources/{id}', 'Onestartup\ProductResource\Controller\AdminProductController@deleteCover')
		->name('delete.cover.product_resources');
	
	Route::resource('admin/product_resources/category', 'Onestartup\ProductResource\Controller\CategoryController', ['as'=>'admin.product_resources']);
	
	Route::delete('delete/cover/category/product_resource/{id}', 'Onestartup\ProductResource\Controller\CategoryController@deleteCover')
		->name('delete.cover.category.product_resources');
	
	Route::get('admin/product_resources/datatable', 'Onestartup\ProductResource\Controller\AdminProductController@getProducts')
		->name('datatable.product_resources');
	
	Route::post('admin/product_resources/{id}/gallery', 'Onestartup\ProductResource\Controller\AdminProductController@storeGallery')
		->name('admin.product_resources.files.store');
	
	Route::delete('admin/product_resources/delete/gallery/{id}', 'Onestartup\ProductResource\Controller\AdminProductController@deleteImage')
		->name('admin.product_resources.gallery.delete');

	Route::resource('admin/product_resources/extra-fields', 'Onestartup\ProductResource\Controller\ExtraFieldController', ['as'=>'admin.product_resources']);

	Route::post('admin/product_resources/{id}/resources', 'Onestartup\ProductResource\Controller\AdminProductController@storeResource')
		->name('admin.product_resources.resources.store');

	Route::delete('admin/product_resources/delete/resource/{id}', 'Onestartup\ProductResource\Controller\AdminProductController@deleteResource')
		->name('admin.product_resources.resources.delete');		

});

Route::group(['middleware' => ['web']], function(){
	Route::get(config("product_resources.slug_product_resource").'/{slug}', 'Onestartup\ProductResource\Controller\ProductController@show')->name('show.product_resource');
	Route::get(config("product_resources.slug_product_resource"), 'Onestartup\ProductResource\Controller\ProductController@index')->name('main.product_resource');
});
